Skip to main content
GET
/
v1
/
tasks
/
{task_id}
/
messages
List Task Messages
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

fetch('https://api.topo.io/v1/tasks/{task_id}/messages', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "subject": "<string>",
    "body": "<string>",
    "sent_at": "2023-11-07T05:31:56Z",
    "sender_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  }
]

Authorizations

Authorization
string
header
required

Bearer API key issued from Settings → Developers.

Path Parameters

task_id
string<uuid>
required

ID of the task.

Response

200 - application/json

Successful Response

id
string<uuid>
required

Unique identifier.

channel
enum<string>
required

Channel the message was sent on.

Available options:
EMAIL,
LINKEDIN,
CALENDAR,
MANUAL
direction
enum<string>
required

Inbound (from the contact) or outbound (sent by your team).

Available options:
INBOUND,
OUTBOUND
subject
string | null
required

Email subject line, if any.

body
string
required

Message body. Inbound messages have quoted reply history stripped.

sent_at
string<date-time>
required

When the message was sent or received.

sender_id
string<uuid> | null
required

User who sent an outbound message. Null for inbound messages from the contact.